# Get social profiles

Gets all user's social profiles.


{% html name="div" attrs={"class": "notice"} %}
Notice

Rate limits for server-side methods are applied to this method.
{% /html %}

Endpoint: GET /projects/{project_id}/users/{user_id}/social_profile
Version: v1
Security: Server

## Path parameters:

  - `user_id` (string, required)
    User ID. You can find it in Publisher Account > your Login project > Users.

  - `project_id` (string, required)
    Login project ID from Publisher Account.

## Response 200 fields (application/json):

  - `created_at` (any)
    Date of user social profile creation in the [RFC 3339 format](https://www.ietf.org/rfc/rfc3339.txt).

  - `email` (string)
    User email address.

  - `provider_name` (string)
    Name of the social network connected to Login in Publisher Account. Can be: [amazon](https://developer.amazon.com/docs/), [apple](https://developer.apple.com/documentation/sign_in_with_apple/sign_in_with_apple_rest_api/authenticating_users_with_sign_in_with_apple), [babka](/doc/login/how-to/xsolla-account-login/#login_xsolla_button_integration_oauth_client_creation), [baidu](https://developer.baidu.com/wiki/index.php?title=docs/oauth/client), [battlenet](https://develop.battle.net/documentation/guides/using-oauth/client-credentials-flow), [discord](https://discord.com/developers/docs/topics/oauth2), [epicgames](https://dev.epicgames.com/docs/dev-portal/client-credentials), [facebook](https://developers.facebook.com/docs/facebook-login/guides/advanced/manual-flow/), [github](https://docs.github.com/en/apps/oauth-apps/building-oauth-apps/authorizing-oauth-apps), [google](https://developers.google.com/identity/protocols/oauth2),[kakao](https://developers.kakao.com/docs/latest/en/kakaologin/common), [linkedin](https://learn.microsoft.com/en-us/linkedin/shared/authentication/client-credentials-flow), [mailru](https://help.mail.ru/developers/oauth/settings), [microsoft](https://learn.microsoft.com/en-us/graph/permissions-reference), [msn](https://learn.microsoft.com/en-us/graph/permissions-reference), [naver](https://developers.naver.com/docs/common/openapiguide/appregister), [ok](https://apiok.ru/dev/app/create#section-2), [paypal](https://developer.paypal.com/home/#get-api-credentials), [qq](https://wiki.connect.qq.com/__trashed-2), [reddit](https://github.com/reddit-archive/reddit/wiki/OAuth2#getting-started), [steam](https://partner.steamgames.com/doc/webapi_overview/oauth), [twitch](https://dev.twitch.tv/docs/authentication/#registration), [twitter](https://developer.twitter.com/en/docs/authentication/oauth-1-0a/api-key-and-secret), [vimeo](https://developer.vimeo.com/api/guides/start#register-your-app),[vk](https://dev.vk.com/ru/api/getting-started), [wechat](https://developers.weixin.qq.com/doc/oplatform/en/Website_App/WeChat_Login/Wechat_Login.html), [weibo](https://open.weibo.com/wiki/%E6%8E%88%E6%9D%83%E6%9C%BA%E5%88%B6%E8%AF%B4%E6%98%8E), [xbox](https://learn.microsoft.com/en-us/graph/permissions-reference), [yahoo](https://developer.yahoo.com/oauth2/guide), [yandex](https://yandex.ru/dev/id/doc/ru/register-client), [youtube](https://developers.google.com/youtube/registering_an_application).

If you store user data in [PlayFab](https://developers.xsolla.com/doc/login/integration-guide/connect-users-storage/#login_guide_connect_users_storage_playfab), only twitch is available.

  - `social_id` (string)
    User ID in a social network.

  - `updated_at` (string)
    Date of user social profile update in the [RFC 3339 format](https://www.ietf.org/rfc/rfc3339.txt).

## Response 401 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 404 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.


